Bug Hunting Session
Bug 102777 - Calc crash or freeze when deleting scenario
Summary: Calc crash or freeze when deleting scenario
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.5 all versions
Hardware: All All
: medium major
Assignee: Eike Rathke
URL:
Whiteboard: target:5.4.0 target:5.3.2 target:5.2.7
Keywords: haveBacktrace, preBibisect, regression
Depends on:
Blocks: Scenarios
  Show dependency treegraph
 
Reported: 2016-09-28 22:47 UTC by DorothyD
Modified: 2017-09-03 19:10 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
bt with symbols (4.00 KB, text/plain)
2016-10-01 22:48 UTC, Julien Nabet
Details
bt with debug symbols (2.81 KB, text/plain)
2017-03-06 06:22 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description DorothyD 2016-09-28 22:47:23 UTC
User-Agent:       Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/53.0.2785.116 Safari/537.36
Build Identifier: http://donate.libreoffice.org/home/dl/win-x86/5.1.5/es/LibreOffice_5.1.5_Win_x86.msi

Hi. 
Make a table, create a scenario with everything default, inmediately afterwards create a second scenario everything default. then try deleting second scenario from navigator. Calc either freezes or displays an error message and crashes. Version 5.1.5.2 too. Also seen on Windows v5.0.6.3


Reproducible: Always

Steps to Reproduce:
1. Make a scenario
2. Make another scenario
3. Delete last scenario from navigator
Actual Results:  
crashes or freezes. When it crashes a fatal error box is shown

Expected Results:  
The scenario should be deleted just normally. This doesn't happen in openoffice if that's of any help




Reset User Profile?No. It happens on a fresh new install
Comment 1 Julien Nabet 2016-10-01 22:48:40 UTC
Created attachment 127770 [details]
bt with symbols

On pc Debian x86-64 with master sources updated today, I could reproduce this.
(gtk3)
Comment 2 Julien Nabet 2016-10-01 23:16:21 UTC
After some gdb, the crash happens here:
3142	        rDocShell.Broadcast( ScTablesHint( SC_TAB_DELETED, nTab ) );
http://opengrok.libreoffice.org/xref/core/sc/source/ui/docshell/docfunc.cxx#3142
Comment 3 vkmr2012 2017-02-08 08:50:53 UTC
Reproducible by LO 5.3.0.3

Build ID: 7074905676c47b82bbcfbea1aeefc84afe1c50e1
CPU Threads: 2; OS Version: Windows 6.1; UI Render: default; Layout Engine: new; 
Locale: en-US (en_US); Calc: group

Whenever we try to delete a scenario, calc crashes immediately and data loss occur es.
Comment 4 Xisco Faulí 2017-02-28 01:56:10 UTC
Reproducible in

Version: 5.4.0.0.alpha0+
Build ID: bd8c68c99cce51a3368d8ddfd6e11dccb72d8f49
CPU threads: 4; OS: Linux 4.8; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group
Comment 5 Xisco Faulí 2017-02-28 02:01:46 UTC
Reproduced in

Version 4.1.0.0.alpha0+ (Build ID: efca6f15609322f62a35619619a6d5fe5c9bd5a)

but not in

LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4
Comment 6 Xisco Faulí 2017-03-05 13:14:40 UTC
it also crashes in

LibreOffice 3.5.0 
Build ID: d6cde02
Comment 7 Julien Nabet 2017-03-06 06:22:15 UTC
Created attachment 131665 [details]
bt with debug symbols

On pc Debian x86-64 with master sources updated yesterday, I still can reproduce this.
I attached bt with some gdb traces.
Comment 8 Julien Nabet 2017-03-06 06:26:43 UTC
popup message error: wrapped std::exception vector::_M_range_check: __n(which is 2) >= this->size() (which is 2)

Interestingly, if you check "Copy Entire sheet" when creating scenario, it doesn't crash.

Eike: thought you might be interested in this one.
Comment 9 Eike Rathke 2017-03-06 19:33:30 UTC
Taking.
Comment 10 Commit Notification 2017-03-07 09:52:55 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4c8059a3e140171399ac85ceb882d23bb458599d

Resolves: tdf#102777 broadcast SC_TAB_INSERTED when inserting scenario

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Eike Rathke 2017-03-07 10:05:43 UTC
Pending review
https://gerrit.libreoffice.org/34942 for 5-3
https://gerrit.libreoffice.org/34943 for 5-2
Comment 12 Commit Notification 2017-03-17 10:12:45 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d846a0d7643cf32a43069d9beb3a419a5a4af9f4&h=libreoffice-5-3

Resolves: tdf#102777 broadcast SC_TAB_INSERTED when inserting scenario

It will be available in 5.3.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Commit Notification 2017-04-11 12:57:10 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=44a8c49c16a8abec3dd201043c93fff2e3f5e683&h=libreoffice-5-2

Resolves: tdf#102777 broadcast SC_TAB_INSERTED when inserting scenario

It will be available in 5.2.7.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.